Bug 228153 - oocalc crashes on File/Open
oocalc crashes on File/Open
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-10 12:36 EST by Tim Morley
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-27 12:33:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Morley 2007-02-10 12:36:07 EST
Description of problem:

OOcalc crashes when trying to open a .ods file using File/Open.  However, if I
double click on the file in Nautilus the file will open in Nautilus but OOcalc
then crashes on exit.

Version-Release number of selected component (if applicable):

openoffice.org-calc 2.0.4 Release 5.5.10

How reproducible:


Steps to Reproduce:
1. Start OOcalc
2. Select a file using File/Open or File/Recent Documents
3.
  
Actual results:

OOcalc crashes with this output:

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so
(II) Loading /usr/lib/xorg/modules/drivers/ati_drv.so
(II) Reloading /usr/lib/xorg/modules/drivers/radeon_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.1-51.fc6-i386
(V)    kernel is: Linux 2.6.19-1.2895.fc6 #1 SMP Wed Jan 10 19:28:18 EST 2007
i686 athlon i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.0.4-5.5.10-i386
(VII)  depth of root window:    24 planes
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora Core release 6 (Zod)
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   permissive
Mode from config file:          permissive
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x463b2f28: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x22f28
0x463b3bbb: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x23bbb
0x563420:  + 0x420 (__kernel_sigreturn + 0x0)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00f1f000)
	libuno_sal.so.3 => /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 (0x0064b000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org2.0/program/libuno_salhelpergcc3.so.3 (0x00bd6000)
	libstore.so.3 => /usr/lib/openoffice.org2.0/program/libstore.so.3 (0x00df2000)
	libdl.so.2 => /lib/libdl.so.2 (0x00110000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x00dd7000)
	libstlport_gcc.so => /usr/lib/openoffice.org2.0/program/libstlport_gcc.so
(0x00415000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00829000)
	libm.so.6 => /lib/libm.so.6 (0x002c2000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00a9a000)
	libc.so.6 => /lib/libc.so.6 (0x00114000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x00251000)
	/lib/ld-linux.so.2 (0x80000000)
...end sample ldd details ...



Expected results:

File opens and I can edit the file.


Additional info:
Comment 1 Caolan McNamara 2007-02-12 04:32:11 EST
Does this happen every time ? Strangely I have no such problem.
Comment 2 Tim Morley 2007-02-13 18:21:46 EST
It happens every time and on any .ods file I open.  oocalc also crashes on
File/Exit and File/Close.  The only thing I can do is open oocalc, create a new
file, and save it.  Any other type of open, close, or exit action results in a
crash.
Comment 3 Tim Morley 2007-02-13 18:27:49 EST
I decided to do a yum remove openoffice.org-calc and yum install
openoffice.org-calc.  My crash issues are gone now.
Comment 4 Caolan McNamara 2007-02-27 12:33:20 EST
It's sort of scary that this fixed it, e.g. something like a subtle timing issue
which e.g. prelink optimization causes. Or that prelink kills it :-), or
something had corrupted the installed original.

Let me know if it comes back, or if you have any insight into what might have
caused it.

Note You need to log in before you can comment on or make changes to this bug.